summaryrefslogtreecommitdiff
path: root/games/bsnes-libretro/bsnes-libretro.SlackBuild
diff options
context:
space:
mode:
authorHunter Sezen <ovariegata@yahoo.com>2017-12-20 20:19:23 +0000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2017-12-21 08:19:26 +0700
commit7bd0df148445c0e6d2896c9d0f920a1505f61a61 (patch)
tree739c8657218f37be2fb26e6a228139a47373c6a5 /games/bsnes-libretro/bsnes-libretro.SlackBuild
parenta8bae987ac0f66d068ffcabcc30ebef435d30a1e (diff)
downloadslackbuilds-7bd0df148445c0e6d2896c9d0f920a1505f61a61.tar.gz
games/bsnes-libretro: Updated for version 2017.12.06_a4800ad.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/bsnes-libretro/bsnes-libretro.SlackBuild')
-rw-r--r--games/bsnes-libretro/bsnes-libretro.SlackBuild13
1 files changed, 6 insertions, 7 deletions
diff --git a/games/bsnes-libretro/bsnes-libretro.SlackBuild b/games/bsnes-libretro/bsnes-libretro.SlackBuild
index 47fa53957b..c365c04c25 100644
--- a/games/bsnes-libretro/bsnes-libretro.SlackBuild
+++ b/games/bsnes-libretro/bsnes-libretro.SlackBuild
@@ -24,7 +24,7 @@
PRGNAM=bsnes-libretro
LIBNAM=$(echo $PRGNAM | cut -f1 -d"-")
-VERSION=${VERSION:-2017.07.24_263e94f9}
+VERSION=${VERSION:-2017.12.06_a4800ad}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -57,9 +57,7 @@ else
LIBDIRSUFFIX=""
fi
-DEBUG=${DEBUG:-0}
-
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -74,6 +72,8 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+[ "${DEBUG:=0}" != 0 ] && DEBUG=1
+
case "$ARCH" in
arm) CORE="${CORE:-performance}" ;;
*) CORE="${CORE:-accuracy}" ;;
@@ -83,13 +83,12 @@ esac
for PROFILE in $CORE; do
CORENAM="${LIBNAM}_${PROFILE}_libretro"
- make profile="$PROFILE" DEBUG="$DEBUG" GIT_VERSION="${VERSION#*_}"
+ make profile="$PROFILE" DEBUG=$DEBUG GIT_VERSION="${VERSION#*_}"
install -Dm0644 out/$CORENAM.so $PKG/usr/lib${LIBDIRSUFFIX}/libretro/$CORENAM.so
install -Dm0644 $CORENAM.info $PKG/usr/lib${LIBDIRSUFFIX}/libretro/info/$CORENAM.info
- make clean
done
-if [ "$DEBUG" = 0 ]; then
+if [ $DEBUG = 0 ]; then
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
fi